Bug 79326 - rpm "Segmentation fault"
rpm "Segmentation fault"
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-09 23:56 EST by Benson Jin
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-09 23:56:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benson Jin 2002-12-09 23:56:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Sympton: rpm exits with error - "Segmentation fault" when used with -i or -U. 
and rpmbuild is the same.

current status: it starts working just now. Hey, I DID have that problem since 
3 days ago. :-( I thought I should regenerate the error message with -vv 
option for your convenience. However, it magically recovered. 8-|

Solution: I don't know yet. It may be caused by ldap auth, since recently I 
have been working on ldap auth for PAM, postfix, courier-imap, and samba. 
maybe some changes I made today, correct the problem? But, but....does rpm 
request any auth during install or update? wired.....

I kept writing instead of quit, because I hope this can help you for future 
troubleshootings. :-D



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.set up ldap auth
2.somehow, mess it up
3.run rpm with either -i or -U options
	

Actual Results:  Segmentation fault

Expected Results:  ..... can not expect much, when it is my own fault.... :-(

Additional info:
Comment 1 Jeff Johnson 2002-12-10 07:00:59 EST
LDAP passwords? Yes, statically linked binaries like
/bin/rpm segfault (or not) depending on whether nscd
is running.

Note You need to log in before you can comment on or make changes to this bug.